BEGIN VVDOMIN

IF ~True()~//Race(Player1,VAMPIRE)
//Gender(Myself,MALE)~
THEN BEGIN startDialogue
   SAY ~(These person is dominated.)~
   IF ~Gender(Myself,MALE)~ THEN REPLY ~(Leave him be)~ EXIT
   IF ~Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
OR(8)
Race(Myself,HUMAN)
Race(Myself,ELF)
Race(Myself,HALFLING)
Race(Myself,HALF_ELF)
Race(Myself,HALFORC)
Race(Myself,ORC)
Race(Myself,DWARF)
Race(Myself,GNOME)~ THEN REPLY ~(Make him a vampire)~ DO ~~  GOTO vampM
   IF ~Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
   OR(8)
Race(Myself,HUMAN)
Race(Myself,ELF)
Race(Myself,HALFLING)
Race(Myself,HALF_ELF)
Race(Myself,HALFORC)
Race(Myself,ORC)
Race(Myself,DWARF)
Race(Myself,GNOME)~ THEN REPLY ~(Suck his blood)~  DO ~~ GOTO suckBloodM


IF ~Gender(Myself,MALE)
!Class(Myself,MAGE)
!Class(Myself,FIGHTER)
!Class(Myself,CLERIC)
!Class(Myself,THIEF)
!Class(Myself,BARD)
!Class(Myself,PALADIN)
!Class(Myself,FIGHTER_MAGE)
!Class(Myself,FIGHTER_CLERIC)
!Class(Myself,FIGHTER_THIEF)
!Class(Myself,FIGHTER_MAGE_THIEF)
!Class(Myself,DRUID)
!Class(Myself,RANGER)
!Class(Myself,MAGE_THIEF)
!Class(Myself,CLERIC_MAGE)
!Class(Myself,CLERIC_THIEF)
!Class(Myself,FIGHTER_DRUID)
!Class(Myself,FIGHTER_MAGE_CLERIC)
!Class(Myself,CLERIC_RANGER)
!Class(Myself,SORCERER)
!Class(Myself,MONK)
!Class(Myself,SHAMAN)
~ THEN REPLY ~(Influence him to start study class skills)~ GOTO selectClass


   IF ~Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
//OR(8)
//Race(Myself,HUMAN)
//Race(Myself,ELF)
//Race(Myself,HALFLING)
//Race(Myself,HALF_ELF)
//Race(Myself,HALFORC)
//Race(Myself,ORC)
//Race(Myself,DWARF)
//Race(Myself,GNOME)
OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)~ THEN REPLY ~(Wipe his memories and take him to party)~  DO ~~ GOTO joinM
IF ~Gender(Myself,MALE)
HasItem("SLVCOLAR",LastTalkedToBy)
!HasItemEquipedReal("SLVCOLAR",LastTalkedToBy)

OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)
~  THEN REPLY ~(Place slave collar on his neck)~ GOTO slaveM

   IF ~!Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)~ THEN REPLY ~(Leave her be)~ EXIT
   IF ~!Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
OR(8)
Race(Myself,HUMAN)
Race(Myself,ELF)
Race(Myself,HALFLING)
Race(Myself,HALF_ELF)
Race(Myself,HALFORC)
Race(Myself,ORC)
Race(Myself,DWARF)
Race(Myself,GNOME)~ THEN REPLY ~(Make her a vampire)~ DO ~~  GOTO vampF

   IF ~!Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
 OR(8)
Race(Myself,HUMAN)
Race(Myself,ELF)
Race(Myself,HALFLING)
Race(Myself,HALF_ELF)
Race(Myself,HALFORC)
Race(Myself,ORC)
Race(Myself,DWARF)
Race(Myself,GNOME)~ THEN REPLY ~(Suck her blood)~  DO ~~ GOTO suckBloodF


IF ~!Gender(Myself,MALE)
!Class(Myself,MAGE)
!Class(Myself,FIGHTER)
!Class(Myself,CLERIC)
!Class(Myself,THIEF)
!Class(Myself,BARD)
!Class(Myself,PALADIN)
!Class(Myself,FIGHTER_MAGE)
!Class(Myself,FIGHTER_CLERIC)
!Class(Myself,FIGHTER_THIEF)
!Class(Myself,FIGHTER_MAGE_THIEF)
!Class(Myself,DRUID)
!Class(Myself,RANGER)
!Class(Myself,MAGE_THIEF)
!Class(Myself,CLERIC_MAGE)
!Class(Myself,CLERIC_THIEF)
!Class(Myself,FIGHTER_DRUID)
!Class(Myself,FIGHTER_MAGE_CLERIC)
!Class(Myself,CLERIC_RANGER)
!Class(Myself,SORCERER)
!Class(Myself,MONK)
!Class(Myself,SHAMAN)
~ THEN REPLY ~(Influence her to start study class skills)~ GOTO selectClass


    IF ~!Gender(Myself,MALE)
Race(LastTalkedToBy,VAMPIRE)
//OR(8)
//Race(LastTrigger,HUMAN)
//Race(LastTrigger,ELF)
//Race(LastTrigger,HALFLING)
//Race(LastTrigger,HALF_ELF)
//Race(LastTrigger,HALFORC)
//Race(LastTrigger,ORC)
//Race(LastTrigger,DWARF)
//Race(LastTrigger,GNOME)
	OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)~ THEN REPLY ~(Wipe her memories and take her to party)~  DO ~~ GOTO joinF  


IF ~!Gender(Myself,MALE)
HasItem("SLVCOLAR",LastTalkedToBy)
!HasItemEquipedReal("SLVCOLAR",LastTalkedToBy)
OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)~  THEN REPLY ~(Place slave collar on her neck)~ GOTO slaveF


   IF ~
OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)~ THEN REPLY ~I want you to join me.~ DO ~ ~ GOTO evaluation01
 
   IF ~~ THEN REPLY ~Never mind.~  DO ~ ~ EXIT
   IF ~
 OR(21)
Class(Myself,MAGE)
Class(Myself,FIGHTER)
Class(Myself,CLERIC)
Class(Myself,THIEF)
Class(Myself,BARD)
Class(Myself,PALADIN)
Class(Myself,FIGHTER_MAGE)
Class(Myself,FIGHTER_CLERIC)
Class(Myself,FIGHTER_THIEF)
Class(Myself,FIGHTER_MAGE_THIEF)
Class(Myself,DRUID)
Class(Myself,RANGER)
Class(Myself,MAGE_THIEF)
Class(Myself,CLERIC_MAGE)
Class(Myself,CLERIC_THIEF)
Class(Myself,FIGHTER_DRUID)
Class(Myself,FIGHTER_MAGE_CLERIC)
Class(Myself,CLERIC_RANGER)
Class(Myself,SORCERER)
Class(Myself,MONK)
Class(Myself,SHAMAN)  
 ~ THEN REPLY ~I want to propose you lower your weapons and ally with me.~ DO ~~ GOTO evaluation01
   IF ~~ THEN REPLY ~I want to bloody kill you!~ DO ~ 
   Enemy()
    ~ GOTO endDeath01
   IF ~~ THEN REPLY ~Just die!.~ DO ~Enemy()
    ~ EXIT


END

IF ~~ suckBloodM
SAY ~(You lean to his neck and eagerly drink his blood)~
IF ~~ THEN DO ~ApplyDamagePercent(Myself,30,MAGIC)
  ActionOverride(Player1,SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY))
		ApplySpell(Player1,RESTORE_FULL_HEALTH)~ EXIT
END


  
IF ~~ suckBloodF
SAY ~(You lean to her neck and eagerly drink her blood)~
IF ~~ THEN DO ~ApplyDamagePercent(Myself,30,MAGIC)
  ActionOverride(Player1,SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY))
		ApplySpell(Player1,RESTORE_FULL_HEALTH)~ EXIT
END

IF ~~ vampM
  SAY ~(You drink his blood from his neck and your hunger silences)~
  =
  ~(Then you cut your hand with your teeth and pour some blood into his mouth)~
  =
  ~(And finally you pour your blood in her mouth.)~

  IF ~~ THEN DO ~DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
  CreateVisualEffectObject("SPDISPMA",Myself)
SetGlobal("ActorVampirisedLevel","LOCALS",1)
		ActionOverride(Myself,SetGlobal("VampireAbilities","LOCALS",0))		
ChangeAIScript("PARTRACE",RACE)
	~ EXIT
END	

IF ~~ joinM
SAY ~(You use your abilities and subdue will of this man.)~
IF ~~ THEN DO ~ApplySpell(Myself,DISPEL_NO_SAVE)
DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
ChangeAIScript("",OVERRIDE)
ChangeAIScript("DPLAYER2",DEFAULT)
ChangeAIScript("",RACE)
JoinParty()~ EXIT
END

IF ~~ joinF
SAY ~(You use your abilities and subdue will of this woman.)~
IF ~~ THEN DO ~ApplySpell(Myself,DISPEL_NO_SAVE)
DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
ChangeAIScript("",OVERRIDE)
ChangeAIScript("DPLAYER2",DEFAULT)
ChangeAIScript("",RACE)
JoinParty()~ EXIT
END

IF ~~ slaveM
SAY ~(You place collar on this man and now he is a slave to you.)~
IF ~~ THEN DO ~ApplySpell(Myself,DISPEL_NO_SAVE)
DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
ChangeAIScript("",OVERRIDE)
ChangeAIScript("DPLAYER2",DEFAULT)
ChangeAIScript("",RACE)
JoinParty()~ EXIT
END

IF ~~ slaveF
SAY ~(You place collar on this woman and now she is a slave to you.)~
IF ~~ THEN DO ~ApplySpell(Myself,DISPEL_NO_SAVE)
DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
TakePartyItem("SLVCOLAR") 
XEquipItem("SLVCOLAR",Myself,SLOT_AMULET,EQUIP) 
ChangeAIScript("",OVERRIDE)
ChangeAIScript("DPLAYER2",DEFAULT)
ChangeAIScript("",RACE)
JoinParty()~ EXIT
END

IF ~~ slaveBoth
SAY ~(You place collar on this hermaphrodite and now she is a slave to you.)~
IF ~~ THEN DO ~ApplySpell(Myself,DISPEL_NO_SAVE)
DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
TakePartyItem("SLVCOLAR") 
XEquipItem("SLVCOLAR",Myself,SLOT_AMULET,EQUIP) 
ChangeAIScript("",OVERRIDE)
ChangeAIScript("DPLAYER2",DEFAULT)
ChangeAIScript("",RACE)
JoinParty()~ EXIT
END

IF ~~ vampF
  SAY ~(You drink her blood from her neck and your hunger silences)~
  =
  ~(Then you cut your hand with your teeth and pour some blood into her mouth)~
  =
  ~(She is now undead, as you wished.)~

  IF ~~ THEN DO ~DestroyItem("MINHP1")
DestroyItem("MIHP1")
DestroyItem("MINHP20")
DestroyItem("MINHP60")
  CreateVisualEffectObject("SPDISPMA",Myself)
SetGlobal("ActorVampirisedLevel","LOCALS",1)
		ActionOverride(Myself,SetGlobal("VampireAbilities","LOCALS",0))		
ChangeAIScript("PARTRACE",RACE)
	~ EXIT
END	


IF ~~ selectClass
SAY ~(You should influence this person to start learning appropriate class)~
IF ~~ THEN REPLY ~You should became a mage.~ DO ~ChangeClass(Myself,MAGE)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a fighter.~ DO ~ChangeClass(Myself,FIGHTER)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a cleric.~ DO ~ChangeClass(Myself,CLERIC)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a thief.~ DO ~ChangeClass(Myself,THIEF)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a bard.~ DO ~ChangeClass(Myself,BARD)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a paladin.~ DO ~ChangeClass(Myself,PALADIN)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a druid.~ DO ~ChangeClass(Myself,DRUID)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a ranger.~ DO ~ChangeClass(Myself,RANGER)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a sorcerer.~ DO ~ChangeClass(Myself,SORCERER)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a monk.~ DO ~ChangeClass(Myself,MONK)~ GOTO startDialogue
IF ~~ THEN REPLY ~You should became a shaman.~ DO ~ChangeClass(Myself,SHAMAN)~ GOTO startDialogue
IF ~~ THEN REPLY ~Stay as you are.~ GOTO startDialogue
END





IF ~~ endDeath01
  SAY ~No, this will not happen!~
  IF ~~ THEN DO ~Enemy() ~ EXIT
END


IF ~~ endDeath02
  SAY ~I will kill you for this!~
  IF ~~ THEN DO ~Enemy() ~ EXIT
END

IF ~~ evaluation01
SAY ~Why would I want that?~
  IF ~Alignment(Player1,LAWFUL_GOOD)
Alignment(Myself,LAWFUL_GOOD)~  THEN REPLY ~We are of the same type, we can help each other.~ GOTO evaluation01G

  IF ~Alignment(Player1,NEUTRAL_GOOD)
Alignment(Myself,NEUTRAL_GOOD)~  THEN REPLY ~We are of the same type, we can help each other.~ GOTO evaluation01G

  IF ~Alignment(Player1,CHAOTIC_GOOD)
Alignment(Myself,CHAOTIC_GOOD)~  THEN REPLY ~We are of the same type, we can help each other.~ GOTO evaluation01G

  IF ~Alignment(Player1,LAWFUL_NEUTRAL)
Alignment(Myself,LAWFUL_NEUTRAL)~  THEN REPLY ~We are of the same type, we can stick together.~ GOTO evaluation01N


  IF ~Alignment(Player1,NEUTRAL)
Alignment(Myself,NEUTRAL)~  THEN REPLY ~We are of the same type, we can stick together.~ GOTO evaluation01N


  IF ~Alignment(Player1,CHAOTIC_NEUTRAL)
Alignment(Myself,CHAOTIC_NEUTRAL)~  THEN REPLY ~We are of the same type, we can stick together.~ GOTO evaluation01N

  IF ~Alignment(Player1,LAWFUL_EVIL)
Alignment(Myself,LAWFUL_EVIL)~  THEN REPLY ~We are of the same type, we can do a lot of things together.~ GOTO evaluation01E


  IF ~Alignment(Player1,NEUTRAL_EVIL)
Alignment(Myself,NEUTRAL_EVIL)~  THEN REPLY ~We are of the same type, we can do a lot of things together.~ GOTO evaluation01E


  IF ~Alignment(Player1,CHAOTIC_EVIL)
Alignment(Myself,CHAOTIC_EVIL)~  THEN REPLY ~We are of the same type, we can do a lot of things together.~ GOTO evaluation01E

   IF ~Allegiance(Player1,ENEMY)~ THEN REPLY ~I will pay you for that.~ GOTO  noMoneyEnemy
      IF ~!Allegiance(Player1,ENEMY)~ THEN REPLY ~I will pay you for that.~ GOTO  noMoney
   IF ~~ THEN REPLY ~Never mind.~ EXIT
IF ~~ THEN REPLY ~I better kill you now.~ DO ~Enemy()~ GOTO endDeath01
END

IF ~~ evaluation01G
SAY ~You say we can help each other?~ 
IF ~ReputationGT(Player1,16)~ THEN GOTO  yesGood
IF ~ReputationLT(Player1,16)~  THEN GOTO noMoney
END

IF ~~ evaluation01N
SAY ~You want me to join you?~ 
IF ~ReputationGT(Player1,7)
ReputationLT(Player1,13)~ THEN GOTO  yesGood
IF ~ReputationGT(Player1,13)~  THEN GOTO noMoney
IF ~ReputationLT(Player1,7)~  THEN GOTO noMoney
END

IF ~~ evaluation01E
SAY ~Make things together, you say?~ 
IF ~ReputationLT(Player1,6)~ THEN GOTO  yesGood
IF ~ReputationGT(Player1,6)~  THEN GOTO noMoney
END

IF ~~ yesGood
SAY ~All right, I will join you.~
  IF ~~ THEN DO ~
  DestroyItem("MONHP1")
  DestroyItem("MINHP1")
  DestroyItem("MINHP20")
  DestroyItem("MINHP60")
  DestroyItem("MONHP1")
  DestroyItem("MONHP01")
  DestroyItem("MONHP20")
  DestroyItem("MONHP80")
  DestroyItem("MISCBP")
 
  JoinParty()
  ~ EXIT
END

IF ~~ noGood
SAY ~Then think chat is over.~
  IF ~~ THEN DO ~
  ~ EXIT
END


IF ~~ noMoneyEnemy
SAY ~I will join you only for a good amount of money.~
IF ~LevelGT(Myself,40)~   THEN DO ~ChangeStat(Myself,XP,8000000,SET)~ GOTO money1000000
IF ~LevelLT(Myself,40)
LevelGT(Myself,38)~   THEN  DO ~ChangeStat(Myself,XP,6750000,SET)~ GOTO money850000
IF ~LevelLT(Myself,28)
LevelGT(Myself,36)~   THEN  DO ~ChangeStat(Myself,XP,5720000,SET)~ GOTO money750000
IF ~LevelLT(Myself,36)
LevelGT(Myself,34)~   THEN  DO ~ChangeStat(Myself,XP,5280000,SET)~ GOTO money700000
IF ~LevelLT(Myself,34)
LevelGT(Myself,32)~   THEN  DO ~ChangeStat(Myself,XP,4840000,SET)~ GOTO money650000
IF ~LevelLT(Myself,32)
LevelGT(Myself,30)~   THEN  DO ~ChangeStat(Myself,XP,4400000,SET)~ GOTO money550000
IF ~LevelLT(Myself,30)
LevelGT(Myself,28)~   THEN  DO ~ChangeStat(Myself,XP,3960000,SET)~ GOTO money500000
IF ~LevelLT(Myself,28)
LevelGT(Myself,26)~   THEN  DO ~ChangeStat(Myself,XP,3520000,SET)~ GOTO money450000
IF ~LevelLT(Myself,26)
LevelGT(Myself,24)~   THEN  DO ~ChangeStat(Myself,XP,3080000,SET)~ GOTO money400000
IF ~LevelLT(Myself,24)
LevelGT(Myself,22)~   THEN  DO ~ChangeStat(Myself,XP,2640000,SET)~ GOTO money350000
IF ~LevelLT(Myself,22)
LevelGT(Myself,20)~   THEN  DO ~ChangeStat(Myself,XP,2200000,SET)~ GOTO money300000
IF ~LevelLT(Myself,20)
LevelGT(Myself,18)~   THEN  DO ~ChangeStat(Myself,XP,1760000,SET)~ GOTO money250000
IF ~LevelLT(Myself,18)
LevelGT(Myself,16)~   THEN  DO ~ChangeStat(Myself,XP,1320000,SET)~ GOTO money200000
IF ~LevelLT(Myself,16)
LevelGT(Myself,14)~   THEN  DO ~ChangeStat(Myself,XP,880000,SET)~ GOTO money150000
IF ~LevelLT(Myself,14)
LevelGT(Myself,12)~   THEN  DO ~ChangeStat(Myself,XP,440000,SET)~ GOTO money100000
IF ~LevelLT(Myself,12)
LevelGT(Myself,10)~   THEN  DO ~ChangeStat(Myself,XP,160000,SET)~ GOTO money50000
IF ~LevelLT(Myself,10)
LevelGT(Myself,8)~   THEN  DO ~ChangeStat(Myself,XP,70000,SET)~ GOTO money20000
IF ~LevelLT(Myself,8)
LevelGT(Myself,6)~   THEN  DO ~ChangeStat(Myself,XP,20000,SET)~ GOTO money10000
IF ~LevelLT(Myself,6)
LevelGT(Myself,4)~   THEN  DO ~ChangeStat(Myself,XP,5000,SET)~ GOTO money5000
IF ~LevelLT(Myself,4)
LevelGT(Myself,2)~   THEN  DO ~ChangeStat(Myself,XP,1250,SET)~ GOTO money2000
IF ~LevelLT(Myself,2)
LevelGT(Myself,1)~   THEN  DO ~ChangeStat(Myself,XP,500,SET)~ GOTO money1000
IF ~LevelLT(Myself,1)~   THEN  DO ~ChangeStat(Myself,XP,100,SET)~ GOTO money500



END


IF ~~ noMoney
SAY ~I will join you only for a good amount of money.~
IF ~LevelGT(Myself,40)~THEN DO ~ChangeStat(Myself,XP,8000000,SET)~    GOTO money800000
IF ~LevelLT(Myself,40)
LevelGT(Myself,38)~   THEN DO ~ChangeStat(Myself,XP,6750000,SET)~ GOTO money750000
IF ~LevelLT(Myself,28)
LevelGT(Myself,36)~   THEN DO ~ChangeStat(Myself,XP,5720000,SET)~ GOTO money650000
IF ~LevelLT(Myself,36)
LevelGT(Myself,34)~   THEN DO ~ChangeStat(Myself,XP,5280000,SET)~ GOTO money600000
IF ~LevelLT(Myself,34)
LevelGT(Myself,32)~   THEN DO ~ChangeStat(Myself,XP,4840000,SET)~ GOTO money500000
IF ~LevelLT(Myself,32)
LevelGT(Myself,30)~   THEN   DO ~ChangeStat(Myself,XP,4400000,SET)~ GOTO money450000
IF ~LevelLT(Myself,30)
LevelGT(Myself,28)~   THEN      DO ~ChangeStat(Myself,XP,3960000,SET)~ GOTO money300000
IF ~LevelLT(Myself,28)
LevelGT(Myself,26)~   THEN   DO ~ChangeStat(Myself,XP,3520000,SET)~ GOTO money270000
IF ~LevelLT(Myself,26)
LevelGT(Myself,24)~   THEN     DO ~ChangeStat(Myself,XP,3080000,SET)~ GOTO money240000
IF ~LevelLT(Myself,24)
LevelGT(Myself,22)~   THEN     DO ~ChangeStat(Myself,XP,2640000,SET)~ GOTO money200000
IF ~LevelLT(Myself,22)
LevelGT(Myself,20)~   THEN  DO ~ChangeStat(Myself,XP,2200000,SET)~ GOTO money180000
IF ~LevelLT(Myself,20)
LevelGT(Myself,18)~   THEN   DO ~ChangeStat(Myself,XP,1760000,SET)~ GOTO money160000
IF ~LevelLT(Myself,18)
LevelGT(Myself,16)~   THEN      DO ~ChangeStat(Myself,XP,1320000,SET)~ GOTO money130000
IF ~LevelLT(Myself,16)
LevelGT(Myself,14)~   THEN  DO ~ChangeStat(Myself,XP,880000,SET)~ GOTO money100000
IF ~LevelLT(Myself,14)
LevelGT(Myself,12)~   THEN   DO ~ChangeStat(Myself,XP,440000,SET)~ GOTO money60000
IF ~LevelLT(Myself,12)
LevelGT(Myself,10)~   THEN  DO ~ChangeStat(Myself,XP,160000,SET)~  GOTO money40000
IF ~LevelLT(Myself,10)
LevelGT(Myself,8)~   THEN     DO ~ChangeStat(Myself,XP,70000,SET)~ GOTO money10000
IF ~LevelLT(Myself,8)
LevelGT(Myself,6)~   THEN   DO ~ChangeStat(Myself,XP,20000,SET)~ GOTO money7000
IF ~LevelLT(Myself,6)
LevelGT(Myself,4)~   THEN  DO ~ChangeStat(Myself,XP,5000,SET)~  GOTO money3000
IF ~LevelLT(Myself,4)
LevelGT(Myself,2)~   THEN  DO ~ChangeStat(Myself,XP,1250,SET)~ GOTO money1000
IF ~LevelLT(Myself,2)
LevelGT(Myself,1)~   THEN DO ~ChangeStat(Myself,XP,500,SET)~  GOTO money500
IF ~LevelLT(Myself,1)~   THEN   DO ~ChangeStat(Myself,XP,100,SET)~ GOTO money500



END


IF ~~ money1000000
SAY ~I will join you for 1000000 gold.~
IF ~PartyGoldGT(1000000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(1000000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money850000
SAY ~I will join you for 850000 gold.~
IF ~PartyGoldGT(850000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(850000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money750000
SAY ~I will join you for 750000 gold.~
IF ~PartyGoldGT(750000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(750000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money700000
SAY ~I will join you for 700000 gold.~
IF ~PartyGoldGT(700000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(700000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money600000
SAY ~I will join you for 600000 gold.~
IF ~PartyGoldGT(600000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(600000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money650000
SAY ~I will join you for 650000 gold.~
IF ~PartyGoldGT(650000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(650000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money550000
SAY ~I will join you for 550000 gold.~
IF ~PartyGoldGT(650000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(550000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money500000
SAY ~I will join you for 500000 gold.~
IF ~PartyGoldGT(500000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(500000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
 IF ~~ money50000
SAY ~I will join you for 50000 gold.~
IF ~PartyGoldGT(50000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(50000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

 IF ~~ money180000
SAY ~I will join you for 180000 gold.~
IF ~PartyGoldGT(180000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(180000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

 IF ~~ money160000
SAY ~I will join you for 160000 gold.~
IF ~PartyGoldGT(160000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(160000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
 IF ~~ money5000
SAY ~I will join you for 5000 gold.~
IF ~PartyGoldGT(50000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(5000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

 IF ~~ money20000
SAY ~I will join you for 20000 gold.~
IF ~PartyGoldGT(20000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(20000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
 IF ~~ money10000
SAY ~I will join you for 10000 gold.~
IF ~PartyGoldGT(20000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(10000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money450000
SAY ~I will join you for 450000 gold.~
IF ~PartyGoldGT(450000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(450000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money400000
SAY ~I will join you for 400000 gold.~
IF ~PartyGoldGT(400000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(400000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money350000
SAY ~I will join you for 350000 gold.~
IF ~PartyGoldGT(350000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(350000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money300000
SAY ~I will join you for 300000 gold.~
IF ~PartyGoldGT(300000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(300000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money250000
SAY ~I will join you for 250000 gold.~
IF ~PartyGoldGT(250000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(250000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
IF ~~ money200000
SAY ~I will join you for 200000 gold.~
IF ~PartyGoldGT(200000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(200000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money150000
SAY ~I will join you for 150000 gold.~
IF ~PartyGoldGT(150000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(150000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money100000
SAY ~I will join you for 100000 gold.~
IF ~PartyGoldGT(100000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(100000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money130000
SAY ~I will join you for 130000 gold.~
IF ~PartyGoldGT(130000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(130000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END

IF ~~ money1000
SAY ~I will join you for 1000 gold.~
IF ~PartyGoldGT(1000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(1000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money2000
SAY ~I will join you for 2000 gold.~
IF ~PartyGoldGT(2000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(2000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money3000
SAY ~I will join you for 3000 gold.~
IF ~PartyGoldGT(3000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(3000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money500
SAY ~I will join you for 500 gold.~
IF ~PartyGoldGT(500)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(500)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money40000
SAY ~I will join you for 40000 gold.~
IF ~PartyGoldGT(40000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(40000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money60000
SAY ~I will join you for 60000 gold.~
IF ~PartyGoldGT(60000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(60000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money7000
SAY ~I will join you for 7000 gold.~
IF ~PartyGoldGT(7000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(7000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money800000
SAY ~I will join you for 800000 gold.~
IF ~PartyGoldGT(800000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(800000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money240000
SAY ~I will join you for 240000 gold.~
IF ~PartyGoldGT(240000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(240000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END


IF ~~ money270000
SAY ~I will join you for 270000 gold.~
IF ~PartyGoldGT(270000)~ THEN REPLY ~Well, here are your money.~ DO ~TakePartyGold(270000)
      DestroyGold(999999)~ GOTO yesGood
IF ~~ THEN REPLY ~I can't allow such sum.~ GOTO noGood
IF ~~ THEN REPLY ~This is ridiculous!~ GOTO noGood
END
